/*
 * This file is part of the LibreOffice project.
 *
 * Based on LLVM/Clang.
 *
 * This file is distributed under the University of Illinois Open Source
 * License. See LICENSE.TXT for details.
 *
 */

#ifndef DEMO_H
#define DEMO_H

#include "plugin.hxx"

namespace loplugin
{

class Demo
    : public RecursiveASTVisitor< Demo >
    , public RewritePlugin
    {
    public:
        explicit Demo( ASTContext& context, Rewriter& rewriter );
        void run();
        bool VisitCXXMemberCallExpr( CXXMemberCallExpr* call );
    };

} // namespace

#endif // DEMO_H
